Name:          python-gbinder
Version:       1.1.2
Release:       %mkrel 2
Summary:       Cython extension module for gbinder
License:       GPLv3
Group:         Development/Python
URL:           https://github.com/erfanoabdi/gbinder-python
Source:        https://github.com/erfanoabdi/gbinder-python/archive/%{version}/gbinder-python-%{version}.tar.gz

%description
%{summary}.


%package -n python3-gbinder
Summary:        Cython extension module for gbinder
Group:          Development/Python
%{?python_provide:%python_provide python3-gbinder}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(libglibutil)
BuildRequires:  pkgconfig(libgbinder)
BuildRequires:  cython
Obsoletes:      python-gbinder <= 1.0.0
Provides:       python-gbinder = %{version}-%{release}

%description -n python3-gbinder
%{summary}.

%prep
%setup -q -n gbinder-python-%{version}

%build
%py3_build -- --cython

%install
%py3_install

%files -n python3-gbinder
%{python3_sitearch}/gbinder*


%changelog
* Fri Nov 03 2023 eatdirt <eatdirt> 1.1.2-2.mga9
+ Revision: 2003856
- Add provides/obsoletes to python-gbinder
- Update to version 1.1.2 (mga#32467)

* Sun Mar 27 2022 umeabot <umeabot> 1.0.0-3.mga9
+ Revision: 1829387
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.0.0-2.mga9
+ Revision: 1784500
- rebuild for python-3.10

* Sat Nov 06 2021 buchan <buchan> 1.0.0-1.mga9
+ Revision: 1754272
- imported package python-gbinder

